- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::operation::overlay::OverlayResultValidator Class Reference

Validates that the result of an overlay operation is geometrically correct within a given tolerance. More...

`#include <OverlayResultValidator.h>`

List of all members.

## Public Member Functions
| OverlayResultValidator (const geom::Geometry &geom0, const geom::Geometry &geom1, const geom::Geometry &result)
bool | isValid (OverlayOp::OpCode opCode)
geom::Coordinate & | getInvalidLocation ()
## Static Public Member Functions
static bool | isValid (const geom::Geometry &geom0, const geom::Geometry &geom1, OverlayOp::OpCode opCode, const geom::Geometry &result)

## Detailed Description

Validates that the result of an overlay operation is geometrically correct within a given tolerance.

Uses fuzzy point location, which only works with polygonal components of geometries.

This is a heuristic test, and may return incorrect results. It should never return a false negative result, however (I.e. reporting a valid result as invalid.)

See also:
  OverlayOp

The documentation for this class was generated from the following file:

- OverlayResultValidator.h